// Classes that can appear anywhere in the DOM tree

.sr-only
	position: absolute
	width: 1px
	height: 1px
	margin: -1px
	padding: 0
	overflow: hidden
	clip: rect(0, 0, 0, 0)
	border: 0

// :)
.eye
	border-radius: 50%
	position: absolute

	+respond-to(small)
		display: none

	&.-left,
	&.-right
		background: white
		height: 24px
		top: 26px
		width: 24px

		&:before
			background: $primary-color
			border-radius: 50%
			content: ''
			height: 11px
			left: 9px
			position: absolute
			top: 2px
			width: 11px

	&.-left
		left: 11px

	&.-right
		left: 44px

	&.-trigger
		height: 9px
		left: 69px
		top: 0
		width: 9px
